{
    attributes = (
        {
            columnName = "EXE_ORDRE"; 
            externalType = NUMBER; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ORG_ID"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "ORG_ORDRE"; }; 
            name = orgId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TB_DATE_BUDGET"; 
            externalType = DATE; 
            name = tbDateBudget; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TB_DATE_CREATION"; 
            externalType = DATE; 
            name = tbDateCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TB_DATE_MODIF"; 
            externalType = DATE; 
            name = tbDateModif; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TB_DATE_VALID"; 
            externalType = DATE; 
            name = tbDateValid; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TB_MNT_BUDGET"; 
            externalType = NUMBER; 
            name = tbMntBudget; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TB_MNT_DISPO"; 
            externalType = NUMBER; 
            name = tbMntDispo; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TB_MNT_VALID"; 
            externalType = NUMBER; 
            name = tbMntValid; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TB_MONTANT"; 
            externalType = NUMBER; 
            name = tbMontant; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "TB_ORDRE"; 
            externalType = NUMBER; 
            name = tbOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TB_SUPPR"; 
            externalType = VARCHAR2; 
            internalInfo = {"_nameInObjectStore" = "TB_SUPR"; }; 
            name = tbSuppr; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TB_VALID"; 
            externalType = VARCHAR2; 
            name = tbValid; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "TCD_ORDRE"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "TCD_CODE"; }; 
            name = tcdOrdre; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TRA_ORDRE"; 
            externalType = NUMBER; 
            name = traOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "UTL_ORDRE_CREATION"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "TB_AGT_CREATION"; }; 
            name = utlOrdreCreation; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "UTL_ORDRE_MODIF"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "TB_AGT_MODIF"; }; 
            name = utlOrdreModif; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "UTL_ORDRE_VALID"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "TB_AGT_VALID"; }; 
            name = utlOrdreValid; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (
        tbOrdre, 
        tbValid, 
        traOrdre, 
        tbSuppr, 
        exeOrdre, 
        orgId, 
        utlOrdreCreation, 
        utlOrdreModif, 
        utlOrdreValid, 
        tcdOrdre
    ); 
    className = "org.cocktail.cocowork.server.metier.convention.TrancheBudget"; 
    classProperties = (
        tbDateCreation, 
        tbDateModif, 
        tbDateValid, 
        tbValid, 
        tbMontant, 
        tranche, 
        tbMntBudget, 
        tbDateBudget, 
        tbMntValid, 
        tbMntDispo, 
        tbSuppr, 
        exercice, 
        organ, 
        typeCredit, 
        utlOrdreCreation, 
        utlOrdreModif, 
        utlOrdreValid
    ); 
    externalName = "ACCORDS.TRANCHE_BUDGET"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            tbDateValid, 
            tbMontant, 
            tbValid, 
            tranche, 
            tbDateBudget, 
            tbMntBudget, 
            tbMntValid, 
            tbMntDispo, 
            tbDateCreation, 
            tbDateModif, 
            tbSuppr
        ); 
        "_javaClientClassName" = "org.cocktail.cocowork.client.metier.convention.TrancheBudget"; 
        "_nameInObjectStore" = "TRANCHE_BUDGET"; 
    }; 
    name = CWTrancheBudget; 
    primaryKeyAttributes = (tbOrdre); 
    relationships = (
        {
            destination = "FwkJefyAdmin_Exercice"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }); 
            name = exercice; 
        }, 
        {
            destination = "FwkJefyAdmin_Organ"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = orgId; sourceAttribute = orgId; }); 
            name = organ; 
        }, 
        {
            destination = CWTranche; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = traOrdre; sourceAttribute = traOrdre; }); 
            name = tranche; 
        }, 
        {
            destination = "FwkJefyAdmin_TypeCredit"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tcdOrdre; sourceAttribute = tcdOrdre; }); 
            name = typeCredit; 
        }
    ); 
}
